/* **********************************************************
 *                                                          *
 *  DISSENY I IMPLEMENTACI DUNA BASE DE DADES RELACIONAL  *
 *  PER A UNA EMPRESA DE SELECCI DE PERSONAL               *
 *                                                          *
 *  UOC                                                     *
 *  PROJECTE FINAL DE CARRERA ENGINYERIA EN INFORMATICA     *
 *  ALUMNE:    RUBEN PEREZ DE LA FUENTE                     *
 *  CONSULTOR: JUAN MARTINEZ BOLAOS                        *
 *                                                          *
 ***********************************************************/

/* **********************************************************
 *                   CREACI DE L'USUARI
 ***********************************************************/

/* Eliminaci de qualsevol rastre anterior de l'usuari */
DROP USER PFC CASCADE;
ALTER TABLESPACE PFC DROP DATAFILE 'PFC';
DROP TABLESPACE PFC;

/* Creaci de l'usuari PFC */
CREATE TABLESPACE PFC
    DATAFILE 'PFC'
    SIZE 20000000 REUSE
    AUTOEXTEND ON NEXT 100000;

CREATE USER PFC
    IDENTIFIED BY "PFC"
    DEFAULT TABLESPACE PFC
    TEMPORARY TABLESPACE TEMP
    QUOTA UNLIMITED ON PFC
    ACCOUNT UNLOCK;

GRANT CONNECT,RESOURCE TO PFC;

--CONNECT PFC/PFC;

