/* **********************************************************
 *                                                          *
 *  DISSENY I IMPLEMENTACI DUNA BASE DE DADES RELACIONAL  *
 *  PER A UNA EMPRESA DE SELECCI DE PERSONAL               *
 *                                                          *
 *  UOC                                                     *
 *  PROJECTE FINAL DE CARRERA ENGINYERIA EN INFORMATICA     *
 *  ALUMNE:    RUBEN PEREZ DE LA FUENTE                     *
 *  CONSULTOR: JUAN MARTINEZ BOLAOS                        *
 *                                                          *
 ***********************************************************/

/* **********************************************************
 *             DESCRIPCI DEL PAQUET PROVES_PKG
 ***********************************************************/

CREATE OR REPLACE PACKAGE
PROVES_PKG is

    Procedure GeneraEstadistiques;
    /*
       Procediment que extreu dades de la BD operacional i
       l'emmagatzema al DW.
       Seguidament mostra per consola les dades extretes i
       les estadstiques indicades a la memria
     */
    Procedure ProvesIndividuals;
    /*
       Procediment que realitza seqencialment totes les proves
       individuals creades per comprovar que la BD realitza les
       operacions indicades a la memria
    */
    Procedure ProvesIndividuals(prova NUMBER);
    /*
       Procediment que realitza una a una les proves individuals
       creades per comprovar que la BD realitza les operacions
       indicades a la memria
    */
    Procedure ConsultaLog;
    /*
       Procediment que llista el log resultant de realitzar les
       proves anteriors
    */

END PROVES_PKG;
/
